import { OnInit, OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
export declare class ItemNotesComponent implements OnInit, OnChanges {
    canShowNotes: boolean;
    currentNotes: string;
    resetFeature: any;
    updatedNotes: EventEmitter<any>;
    updateResetValue: EventEmitter<any>;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    /**
     * to delete notes
     */
    deleteNotes(): void;
    /**
     * to add notes and close notes dialog box
     */
    updateNotesAndClose(): void;
    /**
     * to show notes dialog box
     */
    showNotesDialogBox(): void;
}
